<ion-content>
<ion-grid>
    <ion-row class="row-image">
      <ion-col>
        <ion-text color="dark">
          <h1>Junte-se ao Zoetrope</h1>
        </ion-text>
      </ion-col>
    </ion-row>

    <form [formGroup]="registerForm" (ngSubmit)="register(registerForm)">
      <ion-list>
        <ion-row>
          <ion-col>
            <ion-item class="form-input">
              <ion-input placeholder="E-mail" type="email" formControlName="email"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>

        <ion-row>
          <ion-col>
            <ion-item class="form-input">
              <ion-input placeholder="Nome de usuário" type="text" formControlName="user_name"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>

        <ion-row>
          <ion-col>
            <ion-item class="form-input">
              <ion-input placeholder="Senha" type="password" formControlName="password"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>

        <ion-row>
          <ion-col>
            <ion-item class="form-input">
              <ion-input placeholder="Confirme a senha" type="password" formControlName="confirm_password"></ion-input>
            </ion-item>
          </ion-col>
        </ion-row>

        <ion-row class="row-terms">
          <ion-col size="9">
            <p>Tenho ao menos 14 anos e aceito os Termos de Uso</p>
          </ion-col>
          <ion-col size="3">
            <ion-item class="toggle">
              <ion-toggle slot="end" name="terms"></ion-toggle>
            </ion-item>
          </ion-col>
        </ion-row>

        <ion-row class="row-buttons">
          <ion-col size="4">
            <ion-button (click)="go()">Entrar</ion-button>
          </ion-col>

          <ion-col size=4>
            <ion-button type="submit" color="success" [disabled]="registerForm.invalid" (click)="openToast()">Criar Conta</ion-button>
          </ion-col>
        </ion-row>
      </ion-list>
    </form>
  </ion-grid>
</ion-content>
